<ion-content>
  <ion-card>
    <ion-card-header>
      <ion-card-title style="color: #3880FF">
        Booking History
      </ion-card-title>
    </ion-card-header>

    <ion-list>
      <ion-toolbar>
        <ion-searchbar [(ngModel)]="searchTerm" placeholder="[anno-mese-giorno]" showCancelButton="focus" animated>
        </ion-searchbar>
      </ion-toolbar>

      <ion-card-content>
        <ion-item *ngFor='let i of reservationsUser| filter:searchTerm'>
          <ion-label >
            <B>Booking ID :</B> {{i.idReservation}}<br>
            <B>City :</B> {{findOffice(i.idDesk).city|titlecase}}<br>
            <B>Street :</B> {{findOffice(i.idDesk).street|titlecase}} n°{{findOffice(i.idDesk).civicNumber}}<br>
            <B>Desk name :</B> {{findDesk(i.idDesk).name|titlecase}}<br>
            <B>From :</B> {{(i.dataOraIn|date:'dd/MM/yyyy ore: HH:mm')}}<br>
            <B>To :</B> {{(i.dataOraOut|date:'dd/MM/yyyy ore: HH:mm')}}<br>
            <div style="color: red;" *ngIf="i.confirm==false">
              <B>Waiting for admin confirmation</B>
            </div>
            <div style="color: green;" *ngIf="i.confirm==true">
              <B>Reservation confirmed</B>
            </div>
          </ion-label>
          <!----------
        <ion-button slot="end" fill="outline" (click)='details(i)'>Details</ion-button>-->

        </ion-item>
      </ion-card-content>
    </ion-list>
  </ion-card>
</ion-content>